com.h3c.util.pkt

## Enum DhcpOptionV6.Type

- java.lang.Object
- - java.lang.Enum<DhcpOptionV6.Type>
  - - com.h3c.util.pkt.DhcpOptionV6.Type

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<DhcpOptionV6.Type>
  Enclosing class:
    DhcpOptionV6

      public static enum DhcpOptionV6.Type
      extends Enum<DhcpOptionV6.Type>
      implements ProtocolEnum

  Option types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTH` Authentication option.
    `CLIENT_ID` Client ID option.
    `ELAPSED_TIME` Elapsed time option.
    `IA_ADDR` Identity association address option.
    `IA_NA` Identity association for non-temporary addresses option.
    `IA_TA` Identity association for temporary addresses option.
    `IDENT_ASSOC_PREFIX_DELEG` Identity association for prefix delegation option.
    `INTERFACE_ID` Interface ID option.
    `OPTION_REQ` Option request option.
    `PREF` Preference option.
    `RAPID_COMMIT` Rapid commit option.
    `RECONFIG` Reconfigure option.
    `RECONFIG_ACCEPT` Reconfigure accept option.
    `RELAY_MSG` Relay message option.
    `SERVER_ID` Server ID option.
    `SIP_SERVERS_DOMAIN_NAMES` SIP servers domain name list option.
    `SIP_SERVERS_IPV6_ADDR` SIP servers IPv6 address list option.
    `STATUS_CODE` Status code option.
    `UNICAST` Unicast option.
    `UNKNOWN` Unknown option.
    `USER_CLASS` User class option.
    `VENDOR_CLASS` Vender class option.
    `VENDOR_INFO` Vender-specific information option.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static DhcpOptionV6.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DhcpOptionV6.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DhcpOptionV6.Type UNKNOWN

      Unknown option.

    - #### CLIENT_ID

          public static final DhcpOptionV6.Type CLIENT_ID

      Client ID option.

    - #### SERVER_ID

          public static final DhcpOptionV6.Type SERVER_ID

      Server ID option.

    - #### IA_NA

          public static final DhcpOptionV6.Type IA_NA

      Identity association for non-temporary addresses option.

    - #### IA_TA

          public static final DhcpOptionV6.Type IA_TA

      Identity association for temporary addresses option.

    - #### IA_ADDR

          public static final DhcpOptionV6.Type IA_ADDR

      Identity association address option.

    - #### OPTION_REQ

          public static final DhcpOptionV6.Type OPTION_REQ

      Option request option.

    - #### PREF

          public static final DhcpOptionV6.Type PREF

      Preference option.

    - #### ELAPSED_TIME

          public static final DhcpOptionV6.Type ELAPSED_TIME

      Elapsed time option.

    - #### RELAY_MSG

          public static final DhcpOptionV6.Type RELAY_MSG

      Relay message option.

    - #### AUTH

          public static final DhcpOptionV6.Type AUTH

      Authentication option.

    - #### UNICAST

          public static final DhcpOptionV6.Type UNICAST

      Unicast option.

    - #### STATUS_CODE

          public static final DhcpOptionV6.Type STATUS_CODE

      Status code option.

    - #### RAPID_COMMIT

          public static final DhcpOptionV6.Type RAPID_COMMIT

      Rapid commit option.

    - #### USER_CLASS

          public static final DhcpOptionV6.Type USER_CLASS

      User class option.

    - #### VENDOR_CLASS

          public static final DhcpOptionV6.Type VENDOR_CLASS

      Vender class option.

    - #### VENDOR_INFO

          public static final DhcpOptionV6.Type VENDOR_INFO

      Vender-specific information option.

    - #### INTERFACE_ID

          public static final DhcpOptionV6.Type INTERFACE_ID

      Interface ID option.

    - #### RECONFIG

          public static final DhcpOptionV6.Type RECONFIG

      Reconfigure option.

    - #### RECONFIG_ACCEPT

          public static final DhcpOptionV6.Type RECONFIG_ACCEPT

      Reconfigure accept option.

    - #### SIP_SERVERS_DOMAIN_NAMES

          public static final DhcpOptionV6.Type SIP_SERVERS_DOMAIN_NAMES

      SIP servers domain name list option.

    - #### SIP_SERVERS_IPV6_ADDR

          public static final DhcpOptionV6.Type SIP_SERVERS_IPV6_ADDR

      SIP servers IPv6 address list option.

    - #### IDENT_ASSOC_PREFIX_DELEG

          public static final DhcpOptionV6.Type IDENT_ASSOC_PREFIX_DELEG

      Identity association for prefix delegation option.

  - ### Method Detail

    - #### values

          public static DhcpOptionV6.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DhcpOptionV6.Type c : DhcpOptionV6.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DhcpOptionV6.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.